<?php
if (!defined('ABSPATH')) exit;
?>
<div id="dashboard">
    <h2 class="berq-tab-title">Dashboard</h2>
    <div class="berq-info-box guide">
        <div class="berq-box-content">
            <p><?php _e('Guide:', 'searchpro'); ?> <a href="https://berqwp.com/help-center/get-started-with-berqwp/" target="_blank"><?php _e('Get Started With BerqWP', 'searchpro'); ?></a></p>
        </div>
            
    </div>
    <?php if (!$this->is_key_verified) { ?>
    <div class="berq-info-box unlock-js-optimization">
        <h3><?php _e('🚀 Unlock Full Potential with BerqWP Premium!', 'searchpro'); ?></h3>
        <p><?php _e('While BerqWP free version offers fantastic features, our premium version enhances performance even further with <b>JavaScript Optimization</b>. Boost speed, improve SEO, and deliver a seamless user experience.', 'searchpro'); ?></p>
        <a href="https://berqwp.com/" target="_blank" class="upgrade-btn"><?php _e('Unlock 90+ Mobile & Desktop Score', 'searchpro'); ?></a>
    </div>
    <?php } ?>
    <div class="berq-info-box">
        <h3 class="berq-box-title"><?php _e('Optimization Mode', 'searchpro'); ?></h3>
        <div class="berq-box-content">
            <div class="optimzation-slider">
                <input id="berq_opt_mode" name="berq_opt_mode" type="text" value="<?php echo get_option('berq_opt_mode'); ?>" style="display:none" />
            </div>

        </div>
    </div>
    <div class="berq-info-box before-after-comparision">
    <h3 class="berq-box-title"><?php _e('Google PageSpeed Score Comparison', 'searchpro'); ?></h3>
        <div class="without-berqwp">
            <div class="berq-speed-score"></div>
            <p class="device-type"><?php _e('Device: Mobile', 'searchpro'); ?></p>
            <p class="website-url">
                <?php echo get_site_url(),'/?nocache'; ?>
            </p>
            <h4><?php _e('Without BerqWP', 'searchpro'); ?></h4>
        </div>
        <div class="with-berqwp">
            <?php
            if (get_option('berqwp_enable_sandbox')) {
                echo '<div class="berqw-sandbox">Sandbox Optimization</div>';
            }
            ?>
            <div class="berq-speed-score"></div>
            <p class="device-type"><?php _e('Device: Mobile', 'searchpro'); ?></p>
            <p class="website-url">
                <?php 
                $cache_directory = optifer_cache . '/html/';
                $is_home_ready = file_exists($cache_directory . md5('/') . '.html');
                $msg = '';

                if (get_option('berqwp_enable_sandbox')) {
                    $msg .= '/?berqwp';
                }

                if ($is_home_ready == false) {
                    $msg .= '<br>This page isn\'t cached yet';
                }
                echo get_site_url() . $msg; ?>
            </p>
            <h4><?php _e('With BerqWP', 'searchpro'); ?></h4>
        </div>
    </div>
    <?php if ($this->is_key_verified) { ?>
    <div class="berq-info-box">
        <h3 class="berq-box-title"><?php _e('My Account', 'searchpro'); ?></h3>
        <div class="berq-box-content">
            <?php if ($this->key_response->product_ref !== 'AppSumo Deal') { ?>
            <p>
                <?php _e('License:', 'searchpro'); ?>
                <?php echo sanitize_text_field( $this->key_response->product_ref ); ?>
            </p>
            <?php } ?>
            <p><?php _e('License status:', 'searchpro'); ?>
                <?php echo sanitize_text_field( $this->key_response->status ); ?>
            </p>
            <p><?php _e('Expiration date:', 'searchpro'); ?>
                <?php echo sanitize_text_field( $this->key_response->date_expiry ); ?>
            </p>
        </div>
    </div>
    <?php } ?>
    <div class="berq-dual-box">
        <div class="berq-info-box">
            <h3 class="berq-box-title"><?php _e('Cached Pages', 'searchpro'); ?></h3>
            <div class="berq-box-content">
                <p class="cached-pages">
                    <?php echo (int) number_format($cached_pages); ?>
                </p>
                <p><?php _e('Page(s) have been cached', 'searchpro'); ?></p>
            </div>
        </div>
        <div class="berq-info-box">
            <h3 class="berq-box-title"><?php _e('Quick Actions', 'searchpro'); ?></h3>
            <div class="berq-box-content">
                <a href="<?php echo esc_attr(wp_nonce_url(admin_url('admin-post.php?action=clear_cache'), 'clear_cache_action')); ?>" class="berq-btn"><?php _e('Flush cache', 'searchpro'); ?></a>
                <a href=https://berqwp.com/help-center/" target="_blank" class="berq-btn"><?php _e('Visit help center', 'searchpro'); ?></a>
            </div>
        </div>

    </div>
    <div class="berq-info-box">
        <h3 class="berq-box-title"><?php _e('Sandbox', 'searchpro'); ?></h3>
        <div class="berq-box-content">
            <p><?php _e("The Sandbox feature allows you to test BerqWP's optimizations without impacting real
                visitors.", 'searchpro'); ?> <a href="https://berqwp.com/help-center/sandbox-mode-and-how-to-use-it/" target="_blank"><?php _e("Learn more", 'searchpro'); ?></a> </p>
            <label class="berq-check">
                <input type="checkbox" name="berqwp_enable_sandbox" <?php checked(1, get_option('berqwp_enable_sandbox'), true); ?>>
                <?php _e('Enable sandbox', 'searchpro'); ?>
            </label>
        </div>
    </div>

    <?php if ($this->is_key_verified) { ?>
    <div class="berq-info-box">
        <h3 class="berq-box-title"><?php _e('BerqWP CDN', 'searchpro'); ?></h3>
        <div class="berq-box-content">
            <p><?php _e("BerqWP CDN delivers static files instantly to enhance website performance and user experience.", 'searchpro'); ?></p>
            <label class="berq-check">
                <input type="checkbox" name="berqwp_enable_cdn" <?php checked(1, get_option('berqwp_enable_cdn'), true); ?>>
                <?php _e('Enable BerqWP CDN', 'searchpro'); ?>
            </label>
        </div>
    </div>
    <?php } ?>

    <button type="submit" class="berqwp-save"><svg width="20" height="20" viewBox="0 0 20 20" fill="none"
            xmlns="http://www.w3.org/2000/svg">
            <path d="M4.16663 10.8333L7.49996 14.1667L15.8333 5.83334" stroke="white" stroke-width="2"
                stroke-linecap="round" stroke-linejoin="round" />
        </svg>
        <?php _e('Save changes', 'searchpro'); ?></button>
</div>